X-Git-Url: https://git.madduck.net/code/vcsh.git/blobdiff_plain/93b8c205b18a69c4e5ae6b9ebe425c328e23c17b..6e46f0490d63afe2fa8d3420eae1b31c524f4b95:/vcsh?ds=sidebyside

diff --git a/vcsh b/vcsh
index af67e18..f3224b7 100755
--- a/vcsh
+++ b/vcsh
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # This program is licensed under the GNU GPL version 2 or later.
-# (c) Richard "RichiH" Hartmann <richih@debian.org>, 2011-2014
+# (c) Richard "RichiH" Hartmann <richih@debian.org>, 2011-2015
 # For details, see LICENSE. To submit patches, you have to agree to
 # license your code under the GNU GPL version 2 or later.
 
@@ -19,12 +19,12 @@
 # If '.git-HEAD' is appended to the version, you are seeing an unreleased
 # version of vcsh; the master branch is supposed to be clean at all times
 # so you can most likely just use it nonetheless
-VERSION='1.20141025'
+VERSION='1.20141026'
 SELF=$(basename $0)
 
 fatal() {
 	echo "$SELF: fatal: $1" >&2
-	[ -z $2] && exit 1
+	[ -z $2 ] && exit 1
 	exit $2
 }
 
@@ -154,7 +154,8 @@ clone() {
 	git config branch."$VCSH_BRANCH".remote origin
 	git config branch."$VCSH_BRANCH".merge  refs/heads/"$VCSH_BRANCH"
 	if [ $(git ls-remote origin "$VCSH_BRANCH" 2> /dev/null | wc -l ) -lt 1 ]; then
-		info "remote is empty, not merging anything"
+		info "remote is empty, not merging anything.
+  You should add files to your new repository."
 		exit
 	fi
 	git fetch origin "$VCSH_BRANCH"
@@ -311,7 +312,7 @@ list_untracked_helper() {
 		cp $temp_file_others $temp_file_untracked || fatal 'Could not copy temp file'
 	fi
 	cp $temp_file_untracked $temp_file_untracked_copy || fatal 'Could not copy temp file'
-	comm -12 --nocheck-order $temp_file_others $temp_file_untracked_copy > $temp_file_untracked
+	comm -12 $temp_file_others $temp_file_untracked_copy > $temp_file_untracked
 }
 
 pull() {